r.colors.stddev(1)

NAME
r.colors.stddev.py - Sets color rules based on stddev from a raster map’s mean value.

KEYWORDS
raster, color table

SYNOPSIS
r.colors.stddev.py
r.colors.stddev.py --help
r.colors.stddev.py [-bz] map=name [--help] [--verbose] [--quiet] [--ui]

  Flags:

-b
    Color using standard deviation bands

-z
    Force center at zero

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of raster map

DESCRIPTION
r.colors.stddev set raster map color rules based on standard deviations from a map’s mean value, either as a continuous color gradient or in color bands per standard deviation (S.D.) from the mean.

With the color band option values less that 1 S.D. from the mean are colored green, within 1-2 S.D. are colored yellow, within 2-3 S.D. are colored red, and beyond 3 S.D. are colored black.

For a differences map there is an option to lock the center of the color table at zero. Values more than two S.D. below the mean will be colored blue; values below the mean but less than 2 S.D. away will transition to white, and above the mean the colors will simularly transition to full red at +2 S.D.

EXAMPLE
North Carolina sample dataset location:

g.region raster=elevation -p
r.colors.stddev elevation

SEE ALSO
r.colors, r.univar, v.colors

AUTHOR
Hamish Bowman, Dunedin, New Zealand

Last changed: $Date: 2014-12-19 22:55:37 +0100 (pÃ¡, 19 XII 2014) $

Main index | Raster index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual